| Home | Libraries | People | FAQ | More

## Struct template add_typeof_helper

boost::units::add_typeof_helper

## Synopsis

    // In header: <boost/units/operators.hpp>

    template<typename X, typename Y>
    struct add_typeof_helper {

      // public member functions
      typedef typeof((typeof_::make< X >()+typeof_::make< Y >()));
    };

## Description

### `add_typeof_helper` public member functions

1.     typedef typeof((typeof_::make< X >()+typeof_::make< Y >()));